Subject: bug#23349: closed (Re: bug#23349: Compile output shall be error output)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 28 Feb 2017 15:08:02 +0000

Your bug report

#23349: Compile output shall be error output

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23349: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23349
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23349: Compile output shall be error output
From: Andy Wingo <[email-masked]>
To: Matt Wette <[email-masked]>
Cc: [email-masked]
Date: Tue, 28 Feb 2017 16:07:39 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat 25 Jun 2016 22:54, Matt Wette <[email-masked]> writes:

> And I believe this works as asked. Below I execute the same “load” three times under guile, under bash: first two w/o “2>/dev/null”, and the third time with “2>/dev/null” . For the
> fourth time, I use “2>/dev/null -s ,update” to process as script (and skip the banner).

Thanks for checking.  Closing as done; please follow up on the bug if
there is an error.

Andy

Subject: Compile output shall be error output
From: Jean Louis <[email-masked]>
To: [email-masked]
Date: Sat, 23 Apr 2016 13:36:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

When editing a guile file and running it, it is going to compile it, and
there are warnings:

;;; note: auto-compilation is enabled, set GUILE_AUTO_COMPILE=0
;;;       or pass the --no-auto-compile argument to disable.
;;; compiling /home/data1/protected/bin/webm2html
;;; compiled
;;;       /home/data1/protected/.cache/guile/ccache/2.0-LE-8-2.0/home/data1/protected/bin/webm2html.g\
o

This kind of warnings is not desired in the output of the command and
warning shall be given on the error output and not on standard output,
so that it is possible, just with any other programs to redirect the
warnings to dev null, for example: myguile.scm 2 > /dev/null, to avoid
such warnings.

This does not work as warnings are given on standard output.

Jean Louis